
%global pkg_name haskell-gi-overloading
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        1.0
Release:    1%{?dist}
Summary:        Overloading support for haskell-gi

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros

%description
Control overloading support in haskell-gi generated bindings.


%package devel
Summary:        Haskell %{pkg_name} library development files
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif

%description devel
This package provides the Haskell %{pkg_name} library
development files.

This package disables overloading in haskell-gi generated bindings.
Overloading does not work in ghc-8.2.x, due to a bug in GHC. See
https://ghc.haskell.org/trac/ghc/ticket/14396


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build_without_haddock


%install
%ghc_lib_install -m
mv %{buildroot}%{_ghcdocdir}{,-devel}


%files devel -f %{name}-devel.files
%license LICENSE
%doc ChangeLog.md README.md


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
